Skip to main content
PATCH
/
jobs
/
{id}
Update a project by ID
curl --request PATCH \
  --url https://api.zivio.net/api/v3/jobs/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --header 'zivio-tenant-id: <api-key>' \
  --data '
{
  "title": "My Project",
  "description": "My Description",
  "status": "new",
  "start_date": "2023-12-25",
  "due_on": "2023-12-25",
  "submission_deadline": "2023-11-07T05:31:56Z",
  "budget": "500000.00",
  "fee": "15.00",
  "markup": "4.75",
  "ccy": "GBP",
  "original_budget": "500000.00",
  "rate": "500000.00",
  "original_rate": "500000.00",
  "award_type": "competition",
  "visibility": "public",
  "external_id": "ABC-101202",
  "custom_fields": {
    "key": "value"
  },
  "milestones_attributes": [
    {
      "id": "23",
      "title": "Title of Milestone",
      "details": "Details of Milestone",
      "rate": "1500.00",
      "ccy": "GBP"
    }
  ],
  "job_line_items_attributes": [
    {
      "id": "254",
      "item_id": "2",
      "item_type": "item",
      "name": "Server",
      "manufacturer_name": "Dell",
      "manufacturer_part_number": "X15",
      "quantity": "7.0",
      "uom_id": 123
    }
  ],
  "administrator_id": "7158",
  "client_id": "7158",
  "client_org_id": "7158",
  "supplier_id": "77",
  "cost_centers": [
    {
      "cost_center_id": "303",
      "job_id": "2606",
      "allocation": "100.0"
    }
  ]
}
'
import requests

url = "https://api.zivio.net/api/v3/jobs/{id}"

payload = {
    "title": "My Project",
    "description": "My Description",
    "status": "new",
    "start_date": "2023-12-25",
    "due_on": "2023-12-25",
    "submission_deadline": "2023-11-07T05:31:56Z",
    "budget": "500000.00",
    "fee": "15.00",
    "markup": "4.75",
    "ccy": "GBP",
    "original_budget": "500000.00",
    "rate": "500000.00",
    "original_rate": "500000.00",
    "award_type": "competition",
    "visibility": "public",
    "external_id": "ABC-101202",
    "custom_fields": { "key": "value" },
    "milestones_attributes": [
        {
            "id": "23",
            "title": "Title of Milestone",
            "details": "Details of Milestone",
            "rate": "1500.00",
            "ccy": "GBP"
        }
    ],
    "job_line_items_attributes": [
        {
            "id": "254",
            "item_id": "2",
            "item_type": "item",
            "name": "Server",
            "manufacturer_name": "Dell",
            "manufacturer_part_number": "X15",
            "quantity": "7.0",
            "uom_id": 123
        }
    ],
    "administrator_id": "7158",
    "client_id": "7158",
    "client_org_id": "7158",
    "supplier_id": "77",
    "cost_centers": [
        {
            "cost_center_id": "303",
            "job_id": "2606",
            "allocation": "100.0"
        }
    ]
}
headers = {
    "X-API-Key": "<api-key>",
    "zivio-tenant-id": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {
    'X-API-Key': '<api-key>',
    'zivio-tenant-id': '<api-key>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    title: 'My Project',
    description: 'My Description',
    status: 'new',
    start_date: '2023-12-25',
    due_on: '2023-12-25',
    submission_deadline: '2023-11-07T05:31:56Z',
    budget: '500000.00',
    fee: '15.00',
    markup: '4.75',
    ccy: 'GBP',
    original_budget: '500000.00',
    rate: '500000.00',
    original_rate: '500000.00',
    award_type: 'competition',
    visibility: 'public',
    external_id: 'ABC-101202',
    custom_fields: {key: 'value'},
    milestones_attributes: [
      {
        id: '23',
        title: 'Title of Milestone',
        details: 'Details of Milestone',
        rate: '1500.00',
        ccy: 'GBP'
      }
    ],
    job_line_items_attributes: [
      {
        id: '254',
        item_id: '2',
        item_type: 'item',
        name: 'Server',
        manufacturer_name: 'Dell',
        manufacturer_part_number: 'X15',
        quantity: '7.0',
        uom_id: 123
      }
    ],
    administrator_id: '7158',
    client_id: '7158',
    client_org_id: '7158',
    supplier_id: '77',
    cost_centers: [{cost_center_id: '303', job_id: '2606', allocation: '100.0'}]
  })
};

fetch('https://api.zivio.net/api/v3/jobs/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "2606",
  "title": "My Project",
  "description": "My Description",
  "status": "new",
  "start_date": "2023-12-25",
  "due_on": "2023-12-25",
  "submission_deadline": "2023-11-07T05:31:56Z",
  "budget": "500000.00",
  "fee": "15.00",
  "markup": "4.75",
  "ccy": "GBP",
  "original_budget": "500000.00",
  "rate": "500000.00",
  "original_rate": "500000.00",
  "award_type": "competition",
  "visibility": "public",
  "external_id": "ABC-101202",
  "is_child": "false",
  "is_parent": "false",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "custom_fields": {
    "key": "value"
  },
  "payment_terms_in_days": "30",
  "badges": [
    {
      "id": "1",
      "name": "Badge 1"
    }
  ],
  "milestones": [
    {
      "id": "66",
      "client_suggested": "true",
      "title": "Title of Milestone",
      "details": "Details of Milestone",
      "rate": "1500.00",
      "ccy": "GBP",
      "due_on": "2023-11-07T05:31:56Z",
      "notes": "some notes relating to the milestone",
      "comments": "some comments relating to the milestone",
      "job_id": "2669",
      "job_summary": "summary of miestone",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "status": "open",
      "approved_at": "2023-11-07T05:31:56Z",
      "approved_by": {
        "id": "7158",
        "first_name": "Jack",
        "last_name": "Jones",
        "email": "jack_jones@example.com",
        "business_unit": "Public Private Partnerships",
        "division": "Infastructure",
        "department": "Housing",
        "org_name": "Organisation Ltd",
        "org_id": "567",
        "vetting_status": "PASSED",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "custom_fields": {
          "key": "value"
        },
        "has_oversight": "true"
      },
      "children": [
        "124"
      ],
      "parents": [
        "14"
      ],
      "custom_fields": {
        "key": "value"
      }
    }
  ],
  "job_line_items": [
    {
      "id": "66",
      "job_id": "6",
      "item_type": "item",
      "name": "Server",
      "manufacturer_name": "Dell",
      "manufacturer_part_number": "X15",
      "quantity": "10.0",
      "quantity_delivered": "0.0",
      "quantity_undelivered": "10.0",
      "price": "500.00",
      "price_ccy": "GBP",
      "uom": "<string>",
      "net_total_price": "5000.00",
      "net_total_price_ccy": "GBP",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "custom_fields": {
        "key": "value"
      }
    }
  ],
  "administrator": {
    "id": "7158",
    "first_name": "Jack",
    "last_name": "Jones",
    "email": "jack_jones@example.com",
    "org_name": "Organisation Ltd",
    "org_id": "567",
    "business_unit": "Public Private Partnerships",
    "division": "Infastructure",
    "department": "Infastructure",
    "vetting_status": "PASSED",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "custom_fields": {
      "key": "value"
    },
    "has_oversight": "true"
  },
  "client": {
    "id": "7158",
    "first_name": "Jack",
    "last_name": "Jones",
    "email": "jack_jones@example.com",
    "org_name": "Organisation Ltd",
    "org_id": "567",
    "business_unit": "Public Private Partnerships",
    "division": "Infastructure",
    "department": "Infastructure",
    "vetting_status": "PASSED",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "custom_fields": {
      "key": "value"
    },
    "has_oversight": "true"
  },
  "client_org": {
    "id": "7158",
    "name": "Company Ltd",
    "is_external_client": "true",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "supplier": {
    "id": "77",
    "name": "Company Inc",
    "email": "jack_jones@companyinc.com",
    "vetting_status": "PASSED",
    "tax_number": "9876543234",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "cost_centers": [
    {
      "cost_center_id": "303",
      "job_id": "2606",
      "allocation_percentage": "100.0",
      "name": "Cost Centre Name",
      "code": "Cost Centre Code",
      "admin_custom_fields": {
        "key": "Field Name",
        "value": "Field Value"
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "job_screening_questions": [
    {
      "id": "66",
      "key": "Screening Question",
      "control_type": "string",
      "values": "less than 10 employees, less than 50 employees, more than 50 employees",
      "value_conversion_type": "to_s",
      "mandatory": "true",
      "hint": "please select number of team members.",
      "order": "0"
    }
  ]
}

Authorizations

X-API-Key
string
header
required
zivio-tenant-id
string
header
required

Path Parameters

id
number
required

Body

application/json
title
string
Example:

"My Project"

description
string
Example:

"My Description"

status
string
Example:

"new"

start_date
string<date>
due_on
string<date>
submission_deadline
string<date-time>
budget
string
Example:

"500000.00"

fee
string
Example:

"15.00"

markup
string
Example:

"4.75"

ccy
string
Example:

"GBP"

original_budget
string
Example:

"500000.00"

rate
string
Example:

"500000.00"

original_rate
string
Example:

"500000.00"

award_type
string
Example:

"competition"

visibility
string
Example:

"public"

external_id
string
Example:

"ABC-101202"

custom_fields
object
milestones_attributes
object[]
job_line_items_attributes
object[]
administrator_id
integer
Example:

"7158"

client_id
integer
Example:

"7158"

client_org_id
integer
Example:

"7158"

supplier_id
integer
Example:

"77"

cost_centers
object[]

Response

ok

id
integer
Example:

"2606"

title
string
Example:

"My Project"

description
string
Example:

"My Description"

status
string
Example:

"new"

start_date
string<date>
due_on
string<date>
submission_deadline
string<date-time>
budget
string
Example:

"500000.00"

fee
string
Example:

"15.00"

markup
string
Example:

"4.75"

ccy
string
Example:

"GBP"

original_budget
string
Example:

"500000.00"

rate
string
Example:

"500000.00"

original_rate
string
Example:

"500000.00"

award_type
string
Example:

"competition"

visibility
string
Example:

"public"

external_id
string
Example:

"ABC-101202"

is_child
string
Example:

"false"

is_parent
string
Example:

"false"

created_at
string<date-time>
updated_at
string<date-time>
custom_fields
object
payment_terms_in_days
integer
Example:

"30"

badges
object[]
milestones
object[]
job_line_items
object[]
administrator
object
client
object
client_org
object
supplier
object
cost_centers
object[]
job_screening_questions
object[]